aboutsummaryrefslogtreecommitdiffstats
path: root/trunk/add-shell
diff options
context:
space:
mode:
Diffstat (limited to 'trunk/add-shell')
-rwxr-xr-xtrunk/add-shell34
1 files changed, 34 insertions, 0 deletions
diff --git a/trunk/add-shell b/trunk/add-shell
new file mode 100755
index 0000000..2949063
--- /dev/null
+++ b/trunk/add-shell
@@ -0,0 +1,34 @@
+#!/bin/sh
+#---------------------------------------------------------------
+# Project : Mandriva Linux
+# Module : rpm-helper
+# File : add-shell
+# Version : $Id$
+# Author : Thierry Vignaud
+# Created On : Tue Nov 5 13:52:20 2002
+# Purpose : helper script for rpm scriptlets to add a
+# shell from /etc/shells
+#---------------------------------------------------------------
+
+if [ $# != 3 ]; then
+ echo "usage: $0 <pkg name> <number installed> <shell name>" 1>&2
+ exit 1
+fi
+
+pkg=$1 # name of the package
+num=$2 # number of packages installed
+shl=$3 # name of the shell
+
+CFG_FILE=/etc/shells
+
+# Create $CFG_FILE if needed
+if [ ! -f $CFG_FILE ]; then
+ > $CFG_FILE
+fi
+
+if ! grep -q "^$shl$" $CFG_FILE; then
+ (cat $CFG_FILE; echo "$shl") | sort | uniq > $CFG_FILE.new
+ mv -f $CFG_FILE.new $CFG_FILE
+fi
+
+exit 0